Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::replace_copy_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O , typename T1 , typename T2 , typename P = identity>
auto | operator() (I begin, S end, O out, T1 const &old_value, T2 const &new_value, P proj={}) const -> replace_copy_result< I, O > requires input_iterator< I > &&sentinel_for< S, I > &&output_iterator< O, T2 const & > &&indirectly_copyable< I, O > &&indirect_relation< equal_to, projected< I, P >, T1 const * >
template<typename Rng , typename O , typename T1 , typename T2 , typename P = identity>
auto | operator() (Rng &&rng, O out, T1 const &old_value, T2 const &new_value, P proj={}) const -> replace_copy_result< safe_iterator_t< Rng >, O > requires input_range< Rng > &&output_iterator< O, T2 const & > &&indirectly_copyable< iterator_t< Rng >, O > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, T1 const * >